## belle-sip 1.3.0

=== debian/changelog ===
belle-sip (1.3.0-1.1build1) vivid; urgency=medium

  * Rebuild against libpolarssl7.

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 11 Nov 2014 22:44:11 +0100

belle-sip (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS mips.
    Add increase-antlr-timeout.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #748232.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 16 May 2014 11:28:47 +0100

belle-sip (1.3.0-1) unstable; urgency=medium

  [ Felix Lechner ]
  * New upstream release 
    - Fixes "FTBFS: unexpected token" (Closes: #742852)

  [ Mark Purcell ]
  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Wed, 02 Apr 2014 06:39:53 +1100

belle-sip (1.2.4-1) unstable; urgency=medium

  [ Felix Lechner ]
  * Team upload.
  * Initial release (Closes: #737830)
  * Use PolarSSL API v1.3 instead of v1.2 compatibility layer

  [ Mark Purcell ] 
  * Add debian/watch

 -- Mark Purcell <msp@debian.org>  Sun, 16 Feb 2014 21:29:17 +1100
