=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --parallel --with autotools-dev --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=libbellesip-dbg
