=== debian/watch ===
version=3

#http://download.savannah.gnu.org/releases/linphone/unstable/source/ belle-sip-(.+).tar.gz debian svn-upgrade
http://download-mirror.savannah.gnu.org/releases/linphone/belle-sip/ belle-sip-(.+).tar.gz debian svn-upgrade
