=== debian/changelog ===
belle-sip (1.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 6. (Closes: #812010)
  * Port to mbedTLS since PolarSSL is going away. (Closes: #808067)
    - Add --disable-strict to configure invocation to prevent -Werror from
      failing the build (warning is about polarssl compat layer deprecation).

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 20 Jan 2016 14:48:11 +0000

belle-sip (1.4.1-1) unstable; urgency=medium

  [ Felix Lechner ]
  * New upstream version 1.4.1
  * Added Build-Depends: libcunit1-ncurses-dev
  * Added build option '--disable-tests' as unit tests require network
  * Changed Svn-Browser to GitHub mirror
  * Changed Svn-Git: to upstream, bypassing Savannah
  * Changed url in watch file to run off GitHub tags
  * Removed unnecessary section declaration for libbellesip0 from control
  * Added Multi-Arch: same to libbellesip-dbg
  * Corrected names and paths in copyright
  * Clarified BSD license to say BSD-3-clause
  * Fixed spelling errors in binary
  * Updated Standards-Version to 3.9.6

  [ Tzafrir Cohen ]
  * Added Multi-Arch: same to libbellesip-dev as well.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sat, 23 May 2015 15:43:37 +0300
