=== debian/control ===
Source: belle-sip
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev, quilt,
 pkg-config, intltool,
 libcunit1-ncurses-dev,
 libantlr3c-dev, antlr3, libmbedtls-dev
Standards-Version: 3.9.6
Homepage: http://www.linphone.org
Vcs-Browser: https://github.com/BelledonneCommunications/belle-sip
Vcs-Git: git://git.linphone.org/belle-sip.git

Package: libbellesip0
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SIP stack from the Linphone team
 Belle-Sip is a new SIP stack (RFC3261) developed by the Linphone team.
 .
 Belle-Sip supports multiple transports at the same time, has a dual
 IPv6 and IPv4 stack, is fully asynchronous and implements the 
 +sip.instance and alias parameters. It also handles network
 disconnections better, offers a privacy API and supports rich presence.
 .
 SIP/TLS is handled by the lightweight polarssl library (as opposed to
 openssl).

Package: libbellesip-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbellesip0 (= ${binary:Version}), ${misc:Depends}
Description: SIP stack from the Linphone team (development files)
 Belle-Sip is a new SIP stack (RFC3261) developed by the Linphone team.
 .
 Belle-Sip supports multiple transports at the same time, has a dual
 IPv6 and IPv4 stack, is fully asynchronous and implements the 
 +sip.instance and alias parameters. It also handles network
 disconnections better, offers a privacy API and supports rich presence.
 .
 SIP/TLS is handled by the lightweight polarssl library (as opposed to
 openssl).
 .
 This package contains the development files.

Package: libbellesip-dbg
Section: debug
Priority: extra
Depends: libbellesip0 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Multi-Arch: same
Description: SIP stack from Linphone team (debugging symbols)
 Belle-Sip is a new SIP stack (RFC3261) developed by the Linphone team.
 .
 Belle-Sip supports multiple transports at the same time, has a dual
 IPv6 and IPv4 stack, is fully asynchronous and implements the 
 +sip.instance and alias parameters. It also handles network
 disconnections better, offers a privacy API and supports rich presence.
 .
 SIP/TLS is handled by the lightweight polarssl library (as opposed to
 openssl).
 .
 This package contains the debugging symbols.
