=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,8 @@
 %:
 	dh $@  --parallel --with autotools-dev --with autoreconf
 
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-tests --disable-strict
+
 override_dh_strip:
 	dh_strip --dbg-package=libbellesip-dbg
