=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/belle-sip-$1\.tar\.gz/ \
 https://github.com/BelledonneCommunications/belle-sip/tags .*/v?(\d\S*)\.tar\.gz

#opts=pgpsigurlmangle=s/$/.sig/ http://download-mirror.savannah.gnu.org/releases/linphone/belle-sip/ belle-sip-(.+).tar.gz debian svn-upgrade
